//
//  CommonTools.h
//  ChocoFlopX
//
//  Created by Santiago Lema on 10.11.06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface CommonTools : NSObject 
{
}

+(CIImageAccumulator*) allocSecureAccu:(CGRect)r format:(CIFormat)format;
+(void) showError:(NSString*)msg;
+(void) showError:(NSString*)msg withTitle:(NSString*)title;

+(void) crashWithLabel:(NSString*) label andException:(NSException*) e;
+(NSString*) getVersionString;

+ (CIImage *) getCIImageFromNSImage:(NSImage*)img;
+ (NSImage *) getNSImageFromCIImage:(CIImage*) cimg fromRect: (CGRect)r;
+ (NSImage *) getNSImageFromCIImage:(CIImage*) cimg;
+(NSString*) lang:(NSString*)langID;
+(NSLock*) getSharedViewLock;
+(void)freeCommonData;
+(NSAttributedString*) getAttributedButtonTextForHUD:(NSString*) txt;
+(CIImageAccumulator*) allocErrorAccuWithFormat:(CIFormat)format;
+(NSAttributedString*) getAttributeString:(NSString*) txt withColor:(NSColor*) col;


@end
