//
//  ChocoLayerPDF.h
//  ChocoFlopX
//
//  Created by Santiago Lema on 14.04.07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "ChocoLayer.h"
#import "ChocoPDFView.h"

@interface ChocoLayerPDF : ChocoLayer 
{
	CIImageAccumulator* _pdfDisplayAccu;
	BOOL firstRender;
	CIImage* lastValidImage;
	PDFDocument* pdfDoc;
	ChocoPDFView* pdfView;

	NSBitmapImageRep* _cacheRep; 
	NSLock* renderLock;
	NSString* sourcePath;
}
-(IBAction) drawingOver:(id)sender;

 -(BOOL) loadFromPath:(NSString*)path replaceSourcePath:(BOOL)replacePath;
-(BOOL) updatePDFRenderedNOW;
-(void) pdfNeedsRender;

-(void) clonePDFLayer:(ChocoLayerPDF*)cloneme;
-(PDFDocument*) getPDFDocument;
-(NSString*) getSourcePath;
-(void) setSourcePath:(NSString*)str;


- (IBAction) pickNewFile:(id)sender;
- (void)layerPickOpenPanelDidEnd:(NSOpenPanel *)panel returnCode:(int)returnCode contextInfo:(void *)contextInfo;
- (IBAction) updateFileFromOriginal:(id)sender;
-(IBAction)updatePDF:(id)sender;
-(void) createPDFViewFromPDFDoc;

@end
